=== requirements.txt ===
# Check against .travis.yml file and dipy/info.py
cython>=0.29.24, !=0.29.29
numpy>=1.14.5
scipy>=1.1
nibabel>=3.0.0
h5py>=2.8.0
packaging>=19.0
tqdm>=4.30.0
