=== debian/changelog ===
dipy (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 19:35:20 +0100

dipy (1.5.0-7) unstable; urgency=medium

  * Team upload.
  * Do not measure wall-clock time (thanks for the patch to Rebecca N.
    Palmer)
    Closes: #1029533

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 20:12:50 +0100

dipy (1.5.0-6) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to work with numpy 1.24

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2023 19:00:33 +0100

dipy (1.5.0-5) unstable; urgency=medium

  * d/control: recommend python3-vtk9 instead of vtk7.
  * d/t/control: bump to vtk9 in test dependencies too.
    The missing dependency on python3-vtk7 seems to have caused a red
    herring in numpy 1.24 transition. (Closes: #1027200)
  * d/copyright: bump copyright year.
  * d/control: declare compliance to standards version 4.6.2.
  * d/rules: make data file not executable.
  * d/*.lintian-overrides: fix mismatched override.

 -- Étienne Mollier <emollier@debian.org>  Sat, 07 Jan 2023 13:14:10 +0100
