=== debian/control ===
Source: dipy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libgomp1,
               cython3,
               python3-all-dev,
               python3-setuptools,
               python3-numpy,
               python3-scipy,
               python3-h5py <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-nibabel (>= 3.0.0) <!nocheck>,
               python3-pil.imagetk <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pandas <!nocheck>,
               python3-tables <!nocheck>,
               python3-tk <!nocheck>,
               python3-sklearn <!nocheck>,
               python3-tqdm <!nocheck>,
               xvfb <!nocheck>,
               xauth <!nocheck>
Build-Depends-Indep: python3-sphinx,
                     python3-numpydoc,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/dipy
Vcs-Git: https://salsa.debian.org/med-team/dipy.git
Homepage: https://dipy.org
Rules-Requires-Root: no

Package: python3-dipy
Architecture: all
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-numpy,
         python3-scipy,
         python3-h5py,
         python3-pandas,
         python3-dipy-lib (>= ${source:Version}),
         python3-tqdm,
         python3-packaging
Recommends: python3-matplotlib,
            python3-vtk9,
            python3-nibabel,
            python3-tables,
            python3-sklearn
Suggests: python-dipy-doc
Provides: ${python3:Provides}
Description: Python library for the analysis of diffusion MRI datasets
 DIPY is a software project for computational neuroanatomy. It focuses
 on diffusion magnetic resonance imaging (dMRI) analysis and
 tractography but also contains implementations of other computational
 imaging methods such as denoising and registration that are
 applicable to the greater medical imaging and image processing
 communities. Additionally, DIPY is an international project which
 brings together scientists across labs and countries to share their
 state-of-the-art code and expertise in the same codebase,
 accelerating scientific research in medical imaging.
 .
 Here are some of the highlights:
  - Reconstruction algorithms: CSD, DSI, GQI, DTI, DKI, QBI, SHORE
    and MAPMRI
  - Fiber tracking algorithms: deterministic and probabilistic
  - Native linear and nonlinear registration of images
  - Fast operations on streamlines (selection, resampling, registration)
  - Tractography segmentation and clustering
  - Many image operations, e.g., reslicing or denoising with NLMEANS
  - Estimation of distances/correspondences between streamlines and
    connectivity matrices
  - Interactive visualization of streamlines in the space of images
 .
 This package contains the Python 3 version.
XB-Python3-Version: ${python3:Versions}

Package: python3-dipy-lib
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: ${python3:Provides}
Multi-Arch: same
Description: Python library for the analysis of diffusion MRI datasets -- Python3 extensions
 DIPY is a library for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides architecture-dependent builds of the extensions
 for Python3.

Package: python-dipy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-mathjax
Suggests: python3-dipy
Multi-Arch: foreign
Description: Python library for the analysis of diffusion MRI datasets -- documentation
 DIPY is a library for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides the documentation in HTML format.
