=== debian/changelog ===
dipy (1.7.0-3) unstable; urgency=medium

  * Team upload.

  [ Nathan Pratta Teodosio ]
  * skip-streamwarp-test-in-big-endian.patch: skip streamwarp tests in
    big endian architectures (Closes: #1050037).

  [ Michael R. Crusoe ]
  * d/patches: update forwarding status
  * d/control, d/clean, d/rules: cleanup better after a build. Closes: #1044608
  * d/patches/python3: rewrite some hashbang headers that dh_python missed

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Sep 2023 10:48:22 +0200

dipy (1.7.0-2) unstable; urgency=medium

  * skip-stringent-test.patch: new: skip a failing test.
    The test_cross is too stringent and only succeeds on a couple of
    architectures like amdd64 and similar.  This fixes ftbfs on arm64,
    ppc64el, riscv64 and possibly others.  This is not sufficient to
    resolve the additional failures seen on big endian systems though.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Aug 2023 15:45:57 +0200

dipy (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * d/control: cleanup build dependency on ancient nibabel version.
  * d/rules: replace html-after-examples by html target.
    html-after-examples has been replaced by html-after-examples-legacy,
    which looks to be mostly the same as the new html target (which in
    turn also has an html-legacy target)
  * d/rules: fix shebangs as python is not python3.
  * d/rules: remove inc_static.nii.gz from python3 modules directory.
  * no-network.patch: added; skip sphinx gallery.
    The sphinx gallery only works when accessing Internet resources.
  * skip-tests-needing-internet.patch: update.
    There is one new test which requires being skipped due to requiring
    Internet access.
  * deb_no_sources_for_docs patch: refresh.
  * crossbuild.patch: refresh.
  * spelling-error-in-binary.patch: refresh; partially applied upstream.
  * fix-invalid-version.patch: new patch.
    This fixes failure to build the documentation due to a trailing dot
    landing somehow in the module version.

 -- Étienne Mollier <emollier@debian.org>  Tue, 18 Jul 2023 18:25:16 +0200
