=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
                dh-python,
                libgomp1,
                cython3,
+               python-is-python3,
                python3-all-dev,
                python3-setuptools,
                python3-numpy,
                python3-scipy,
                python3-h5py <!nocheck>,
                python3-matplotlib <!nocheck>,
-               python3-nibabel (>= 3.0.0) <!nocheck>,
+               python3-nibabel <!nocheck>,
                python3-pil.imagetk <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pandas <!nocheck>,
@@ -27,7 +28,7 @@
                xvfb <!nocheck>,
                xauth <!nocheck>
 Build-Depends-Indep: python3-sphinx,
-                     python3-numpydoc,
+                     python3-numpydoc
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/dipy
 Vcs-Git: https://salsa.debian.org/med-team/dipy.git
@@ -81,11 +82,11 @@
 
 Package: python3-dipy-lib
 Architecture: any
+Multi-Arch: same
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Provides: ${python3:Provides}
-Multi-Arch: same
 Description: Python library for the analysis of diffusion MRI datasets -- Python3 extensions
  DIPY is a library for the analysis of diffusion magnetic resonance
  imaging data.
@@ -95,12 +96,12 @@
 
 Package: python-dipy-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          libjs-jquery,
          libjs-mathjax
 Suggests: python3-dipy
-Multi-Arch: foreign
 Description: Python library for the analysis of diffusion MRI datasets -- documentation
  DIPY is a library for the analysis of diffusion magnetic resonance
  imaging data.
