=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,7 @@
 override_dh_auto_clean:
 	dh_auto_clean || true
 	rm -rf .pybuild __pycache__
+	find dipy -name "*\.c" -delete
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -57,7 +58,7 @@
 ifeq (python-dipy-doc_,$(filter python-dipy-doc,$(shell dh_listpackages))_$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	export PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
 		   MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-	cd doc; $(MAKE) html-after-examples SPHINXOPTS="$(SPHINXOPTS)"
+	cd doc; $(MAKE) html SPHINXOPTS="$(SPHINXOPTS)"
 	-rm doc/_build/html/_static/jquery.js
 	-rm -r doc/_build/html/_sources
 	: # objects inventory is of no use for the package
@@ -89,7 +90,12 @@
 	;	rm .pytest_cache -rf \
 	; done
 endif
-	find debian/$(PACKAGE3_NAME)/usr/lib/python3* \( -name affine.txt -o -name "*.trk" \) -delete
+	# Cleanup files landing unnecessarily in the python3 modules directory.
+	find $(CURDIR)/debian/$(PACKAGE3_NAME)/usr/lib/python3* \( \
+		-name affine.txt \
+		-o -name "*.trk" \
+		-o -name inc_static.nii.gz \
+	\) -delete
 
 ## "Instantiate" both rules so dh sees them
 override_dh_python3:
