=== doc/Makefile ===
--- 
+++ 
@@ -43,27 +43,13 @@
 	@echo "Build API docs...done."
 
 examples-clean:
-	-cd examples_built && rm -rf *.py *.rst *.png fig
-
-examples-clean-tgz: examples-clean examples-tgz
-	../tools/pack_examples.py ../dist
-
-examples-tgz: rstexamples
-	../tools/pack_examples.py ../dist
+	rm -rf examples_revamped
+	-cd examples_built && find . -not -name "README" -not -name ".gitignore" -exec rm -rfd {} \; || true
 
 gitwash-update:
 	python ../tools/gitwash_dumper.py devel dipy --repo-name=dipy --github-user=dipy \
             --project-url=https://dipy.org \
             --project-ml-url=https://mail.python.org/mailman/listinfo/neuroimaging
-
-html-legacy: api rstexamples html-after-examples-legacy
-	# build full docs including examples
-
-html-after-examples-legacy:
-	# Standard html build after examples have been prepared
-	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
-	@echo
-	@echo "Build finished. The HTML pages are in _build/html."
 
 html: api
 	#  Standard html build after examples have been prepared
@@ -107,9 +93,7 @@
 	@echo "To view the help file:"
 	@echo "# assistant -collectionFile _build/qthelp/dipy.qhc"
 
-latex: rstexamples latex-after-examples
-
-latex-after-examples:
+latex: api
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in _build/latex."
@@ -132,11 +116,6 @@
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in _build/doctest/output.txt."
 
-rstexamples: rstexamples-stamp
-rstexamples-stamp:
-	cd examples_built && ../../tools/make_examples.py
-	touch $@
-
 pdf: pdf-stamp
 pdf-stamp: latex
 	cd _build/latex && make all-pdf
