=== debian/changelog ===
dipy (1.8.0-2ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:11:37 +0000

dipy (1.8.0-2ubuntu1) noble; urgency=medium

  * Do not fail when attempting to clean up after a nocheck build

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 12 Feb 2024 20:19:56 +0000

dipy (1.8.0-2) unstable; urgency=medium

  * fix-endianness.patch: new: fix test failure on s390x.
  * fix-privacy-breaches.patch: declare forwarding not needed.
  * clear-cython.patch: new: remove cython dependency. (Closes: #1060438)
  * d/rules: skip long tests at build time.
    This is an attempt to significantly reduce build time, notably on slow
    builders like armel or riscv64, the latter having been hogged for more
    than thirteen hours.  Tests have also more verbose output to ease time
    stamping, in case other tests still affect significantly total time.
  * d/rules: merge s390x and long test skip specs.
    This rationalizes the way specifications are handled and resolves
    problems caused by stateful changes caused by raw removal of files
    in the s390x case.
  * d/t/*: move tests to script run-unit-test.
    This makes modifications to the test command easier to read, and also
    facilitates future editions.  The new test also ensures all supported
    python3 versions are indeed tested, and it includes an exclusion list
    in order to avoid running into debci time limits. (Closes: #1058661)
  * d/t/run-unit-test: also skip s390x tests.
  * d/rules,d/t/run-unit-test: warn that skips must be consistent.
  * d/rules: remove unused variable related to cython version.

 -- Étienne Mollier <emollier@debian.org>  Mon, 15 Jan 2024 20:49:26 +0100

dipy (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0  (Closes: #1060176)
  * Patches deleted after application upstream: python3, crossbuild.patch,
    spelling-error-in-binary.patch, and fix-invalid-version.patch.
  * Patches refreshed: deb_no_sources_for_docs patch,
    skip-tests-needing-internet.patch, skip_wall-clock_test.patch,
    no-network.patch, skip-stringent-test.patch and relay_comparison.patch.
  * d/{control,rules}: migrate to dh-sequence-python3.
  * d/control: build depends on pybuild-plugin-pyproject and python3-mesonpy.
  * d/control: doc build depends on python3-skimage and python3-sphinx-design.
  * d/control: build time tests now depend on python3-trx-python.
  * d/control: python-dipy-doc depends on libjs-sphinxdoc & node-mathjax-full.
  * d/t/control: remove needs-internet restriction.
    The test suite is in a state that works appropriately without Internet.
  * d/rules: declare matplotlib backend in environment.
  * d/rules: slight attempt at improving the general readability.
  * d/rules: fix the build date in documentation.
  * d/rules: update dist-packages cleanup pattern.
  * d/rules: replace references to cdn jsdelivr by uses of a local file.
  * d/rules: remove embedded sphinx javascript.
    This is done in favor of using links to the canonical scripts instead.
  * d/rules: introduce dh_fixperms scripting.
    This fixes a couple of occurrences of executables not elf nor scripts.
  * d/python3-dipy.install: copy all example files instead of just scripts.
  * d/python-dipy-doc.links: point to libjs-sphinxdoc scripts.
  * sphinx-default.patch: new: apply default theme.
    This avoids depending on grg theme not available yet.
  * skip-tests-needing-internet.patch: skip more tests.
  * fix-i386.patch: zero precision for test_ascm_accuracy.
    The test is not capable of decimal precision on i386, and possibly
    other 32-bit cpu architectures.
  * fix-privacy-breaches.patch: new: uninline youtube video.

 -- Étienne Mollier <emollier@debian.org>  Wed, 10 Jan 2024 22:26:24 +0100

dipy (1.7.0-4) unstable; urgency=medium

  * Team upload.
  * Take over the suggested solution by Drew Parsons to avoid comparison of
    floating point numbers
    Closes: #1053265

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2023 14:10:28 +0100
