=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: dipy
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>,
            Étienne Mollier <emollier@debian.org>
@@ -7,12 +8,14 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                libgomp1,
                cython3,
                python-is-python3,
                python3-all-dev,
                python3-setuptools,
+               python3-mesonpy,
                python3-numpy,
                python3-scipy,
                python3-h5py <!nocheck>,
@@ -23,12 +26,15 @@
                python3-pandas <!nocheck>,
                python3-tables <!nocheck>,
                python3-tk <!nocheck>,
+               python3-trx-python <!nocheck>,
                python3-sklearn <!nocheck>,
                python3-tqdm <!nocheck>,
                xvfb <!nocheck>,
                xauth <!nocheck>
-Build-Depends-Indep: python3-sphinx,
-                     python3-numpydoc
+Build-Depends-Indep: python3-sphinx <!nodoc>,
+                     python3-numpydoc <!nodoc>,
+                     python3-skimage <!nodoc>,
+                     python3-sphinx-design <!nodoc>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/dipy
 Vcs-Git: https://salsa.debian.org/med-team/dipy.git
@@ -100,7 +106,9 @@
 Section: doc
 Depends: ${misc:Depends},
          libjs-jquery,
-         libjs-mathjax
+         libjs-mathjax,
+         libjs-sphinxdoc,
+         node-mathjax-full
 Suggests: python3-dipy
 Description: Python library for the analysis of diffusion MRI datasets -- documentation
  DIPY is a library for the analysis of diffusion magnetic resonance
