=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: cp -a /usr/lib/python3/dist-packages/dipy $AUTOPKGTEST_TMP && cp -a dipy/data $AUTOPKGTEST_TMP/dipy && cd $AUTOPKGTEST_TMP && HOME=/tmp MPLCONFIGDIR=/tmp/ xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" python3 -m pytest dipy
+Tests: run-unit-test
 Depends: @, python3-all,
             python3-pytest,
             xvfb, xauth,
@@ -7,7 +7,7 @@
             python3-nibabel,
             python3-tables,
             python3-sklearn
-Restrictions: allow-stderr, needs-internet
+Restrictions: allow-stderr
 
 # Try running examples as autopkgtest to address bug #994575 - but
 # several of them seem to require user interaction or additional
